from Reader import reader

class MarkedCell():
    def __init__(self):
        self.cell_id = reader.readVarUhShort()
        self.zone_size = reader.readByte()
        self.cell_color = reader.readInt()
        self.cells_type = reader.readByte()

class CellMark():
    def __init__(self):
        self.mark_author_id = reader.readDouble()
        self.mark_team = reader.readByte()
        self.mark_spell_id = reader.readInt()
        self.mark_spell_level = reader.readShort()
        self.mark_id = reader.readShort()
        self.mark_type = reader.readByte()
        self.mark_impact_spell = reader.readShort()
        cells_len = reader.readUnsignedShort()
        self.marked_cells = []
        for i in range(cells_len):
            self.marked_cells.append(MarkedCell())
        self.active = reader.readBoolean()
